Get the current user's table settings
GET
/table-settings/{tableKey}Returns the settings of a specific table for the user of the current JWT session only. If no settings have been saved yet, the settings field is null.
Contract
Parameter | Value |
|---|---|
| Section | table-settings |
| Authentication | CookieAuth |
| Consumes | not required |
| Produces | application/json |
Parameters
1 parameter
Name | Location | Required | Type | Description |
|---|---|---|---|---|
| tableKey | path | yes | string | Stable table key |
Responses
4 responses
Status | Description | Type |
|---|---|---|
200 | OK | object |
400 | Invalid table key | object |
401 | Unauthorized | object |
500 | Internal server error | object |
{ "settings": { "columnWidths": { "<key>": 0 }, "knownColumns": [ "<string>" ], "rowHeight": "compact", "version": 0, "visibleColumns": [ "<string>" ] }, "tableKey": "<string>", "updatedAt": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }